
QGIS Application - Bug report #5247

setting the project to "google mercator" causes QGIS to crash

2012-03-28 01:05 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:1.7.4 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 14981

Description

It happens only on 1.7.4/osgeo4w, not with the standalone nor with master/osgeo4w.

Add a vector and set the project to "google mercator" and click "ok". QGIS crashes.

History

#1 - 2012-03-28 01:13 AM - Giovanni Manghi

- Subject changed from (Windows/osgeo4w) setting the project to "google mercator" causes QGIS to crash to (Windows) setting the project to "google 

mercator" causes QGIS to crash

I can replicate the issue also with the standalone version, but not with a simple project made of one or few layers. I can open a complex/big project,

reproject everything in "google mercator" but when I save the project qgis crashes.

#2 - 2012-03-28 02:08 AM - Giovanni Manghi

Giovanni Manghi wrote:

I can replicate the issue also with the standalone version, but not with a simple project made of one or few layers. I can open a complex/big project,

reproject everything in "google mercator" but when I save the project qgis crashes.

PS

does not happen on Linux

#3 - 2012-04-15 10:00 AM - Giovanni Manghi

- Target version changed from 35 to Version 1.8.0

#4 - 2012-04-17 05:56 AM - Jürgen Fischer

- Subject changed from (Windows) setting the project to "google mercator" causes QGIS to crash to setting the project to "google mercator" causes 

QGIS to crash

- Operating System set to Windows

#5 - 2012-04-17 09:24 PM - Neil Bower

I have the same problem with qgis installed from the osgeo4w installer using the current available version. Solved the issue of QGIS crashing when

switching the CRS and using OTF by downgrading the proj package in the libs category from 4.8.0.0 to 4.7.0-4
#6 - 2012-05-30 03:47 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Open to Closed

seems solved after the latest upgrades, and doesn't happen anyway in master, so I'm closing this.
